Fast, stateless Network Diagnostics

Other

GET/api/v1/open-graph-checker

Open Graph Checker

Preview a URL's share card — Open Graph and Twitter Card tags.

ParameterTypeRequiredDescription
urlstringYesFull URL to fetch (https:// included).

Example request

curl "https://netsh.io/api/v1/open-graph-checker?url=https://example.com&api_key=YOUR_API_KEY"

Example response

{
  "ok": true,
  "data": {
    "requestedUrl": "https://example.com",
    "finalUrl": "https://example.com/",
    "statusCode": 200,
    "fetched": true,
    "title": "Example — Build for the agent era",
    "og": {
      "title": "Example — Build for the agent era",
      "description": "Welcome to Example.",
      "image": "https://example.com/preview.png",
      "url": "https://example.com/",
      "type": "website",
      "site_name": null
    },
    "twitter": {
      "card": "summary_large_image",
      "title": "Example — Build for the agent era",
      "description": "Welcome to Example.",
      "image": "https://example.com/preview.png",
      "site": null
    }
  },
  "meta": { "tool": "open-graph-checker", "version": "v1" }
}